/**
 * BirdSimulation
 * A flock of 10 birds investigate a mysterious egg,
 * which suddenly shows itself to be a monster!
 **/
public class BirdSimulation extends Simulation {
  
  public EggAgent egg; // We'll need to get this later in BirdAgent
  FrameSequence myFrames; // Need a separate one from Simulations
  
  /**
   * Set up the world with 10 birds and the mysterious egg
   **/
  public void setUp(){
    // Set up the world
    super.setUp();
    // We'll need frames for the animation
    myFrames = new FrameSequence("D:/Temp/");
    myFrames.show();
    
    BirdAgent tweetie;
    // 10 of 'em
    for (int num = 0; num < 10; num++) {
      tweetie = new BirdAgent(world,this);}
    
    // And the egg
    egg = new EggAgent(world,this);
  }
    
  public void endStep(int t) {
    // Do the normal file processing (if any)
    super.endStep(t);
    
    // But now, make a 640x480 frame, and copy
    // in pictures from all the agents
    Picture frame = new Picture(640,480);
    Agent drawMe = null;
    for (int index=0; index<this.getAgents().size(); index++) {
      drawMe = (Agent) this.getAgents().get(index);
      drawMe.myPict.bluescreen(frame,drawMe.getXPos(),
                               drawMe.getYPos());
    }
    myFrames.addFrame(frame);
  }
  
}
